[Haskell] Re: Trying to install binary-0.4

Ketil Malde ketil+haskell at ii.uib.no
Thu Oct 25 09:33:31 EDT 2007

Ian Lynagh <igloo at earth.li> writes:

> On Thu, Oct 25, 2007 at 12:31:05PM +0200, Ketil Malde wrote:

>> Wouldn't keeping "base-2.0" and rebranding "base-3.0" to
>> "foundation-1.0" (which might be listed as "Solution 2.1") solve this
>> issue? 

> We don't want to have to invent a new name for base every release.

But you do want to keep reshuffling the contents of base every release?

I'm not sure it is stated plainly anywhere, but *I* think one goal of
having a system of packages and versions is that it should be possible
to compile old code on a new system.

As soon as major (i.e. API) version numbers are manadatory for the
dependencies in cabal files, bumping the version will be sufficient.
The current situation is unfortunately that most libraries just
specify 'base' and hope that will just continue to work.

If I haven't seen further, it is by standing in the footprints of giants

More information about the Libraries mailing list